Summary: Authen::SASL - SASL Authentication framework
Name: perl-Authen-SASL
Version: 2.06
Release: 1AX
License: distributable
Group: Applications/CPAN
URL: http://www.cpan.org
Source0: Authen-SASL-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Provides: %{name}
BuildRequires: perl 
Requires: perl 

%description
SASL is a generic mechanism for authentication used by several network 
protocols. Authen::SASL provides an implementation framework that 
all protocols should be able to share.

%prep
%setup -q -n Authen-SASL-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > Authen-SASL-%{version}-filelist
if [ "$(cat Authen-SASL-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f Authen-SASL-%{version}-filelist
%defattr(-,root,root,-)

%changelog
* Mon Feb 23 2004  <yasuma@miraclelinux.com> 2.06-1AX
- Initial build.


